This documentation is for an old GraalVM version. See the latest version.

Installing zlib

TruffleRuby provides the zlib module but not the native zlib system library that the module uses.

Fedora-based: RHEL, Oracle Linux, etc #

sudo dnf install zlib-devel

Debian-based: Ubuntu, etc #

sudo apt-get install libz-dev

macOS #

On macOS the system version can be used.

Connect with us